Difference between revisions of "Arch Add/fr"

From FreeCAD Documentation
Jump to: navigation, search
Line 15: Line 15:
 
==Utilisation==
 
==Utilisation==
  
* Sélectionnez l'objet ou les objets que vous devez ajouter (ici la boîte), puis sélectionnez l'objet '''hôte''' (mur) ''' (l'objet hôte (mur), doit toujours être le dernier objet sélectionné)'''.
+
# Sélectionnez l'objet(s) qui doit être ajouté, ensuite, sélectionnez l'objet hôte (l'objet hôte doit être le dernier objet sélectionné).
* Appuyez sur le bouton {{KEY|[[Image:Arch_Add.png|16px|Ajouter|link=Arch_Add/fr]] [[Arch_Add/fr|Ajouter]]}}.
+
# Cliquez sur le bouton {{KEY|[[Image:Arch_Add.png|16px|Ajouter|link=Arch_Add/fr]] [[Arch_Add/fr|Ajouter]]}}
* Ajouter un {{KEY|[[Image:Arch_Axis.png|16px|Ajouter un système d'Axes dans le document|link=Arch_Axis/fr|Axes system]] [[Arch_Axis/fr|Système d'axes]]}} dans {{KEY|[[Image:Arch_Structure.png|16px|Élément structurel|link=Arch_Structure/fr]] [[Arch_Structure/fr|un objet structurel]]}}.
 
* Ajouter un objet dans un {{KEY|[[Image:Arch_SectionPlane.png|16px|Ajoute un plan de coupe au documen|link=Arch_SectionPlane/fr|plan de coupe]] [[Arch_SectionPlane/fr|plan de coupe]]}}.
 
  
 
==Scripting==
 
==Scripting==

Revision as of 01:19, 29 November 2013

Arch Add.svg Arch Addition

Emplacement du menu
Arch -> Add
Ateliers
Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Arch Remove


Description

L'outil Ajouter Arch Add.png vous permet de faire 2 types d'opérations :

  • Ajouter un objet de base à un compososant Architecture, par exemple un mur Arch Wall.png ou une structure Arch Structure.png.

Ces objets font alors partie des composants d'Architecture, et vous permettent de modifier sa forme, mais en gardant ses propriétés de base telles que la largeur et la hauteur.

Arch Add example.jpg

Dans l'image ci-dessus, une boîte est ajoutée à une paroi.

Utilisation

  1. Sélectionnez l'objet(s) qui doit être ajouté, ensuite, sélectionnez l'objet hôte (l'objet hôte doit être le dernier objet sélectionné).
  2. Cliquez sur le bouton Ajouter Ajouter

Scripting

The Add tool can by used in macros and from the python console by using the following function:

addComponents (objectsList,hostObject): 
  • Adds the given object or the objects from the given list as components to the given host Object. Use this for example to add windows to a wall, or to add walls to a floor.
  • Returns nothing.

Example:

import FreeCAD, Arch, Draft, Part
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
wall = Arch.makeWall(line)
box = Part.makeBox(1,1,1)
Arch.addComponents(box,wall)
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎